List API requests
curl --request GET \
--url https://api.example.com/request-logs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/request-logs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/request-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/request-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/request-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/request-logs")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/request-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"createdAt": "<string>",
"method": "<string>",
"route": "/invoices/:uuid",
"path": "<string>",
"statusCode": 123,
"durationMs": 123,
"environment": "sandbox",
"channel": {},
"authFailure": {},
"apiKey": {
"id": "<string>",
"name": "<string>",
"keyPreview": "...a1b2"
}
}
],
"nextCursor": {}
}request-logs
List API requests
Requests made with your API keys in the last 30 days, newest first. API key needs read:request-logs; a session must be owner or admin.
GET
/
request-logs
List API requests
curl --request GET \
--url https://api.example.com/request-logs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/request-logs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/request-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/request-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/request-logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/request-logs")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/request-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"createdAt": "<string>",
"method": "<string>",
"route": "/invoices/:uuid",
"path": "<string>",
"statusCode": 123,
"durationMs": 123,
"environment": "sandbox",
"channel": {},
"authFailure": {},
"apiKey": {
"id": "<string>",
"name": "<string>",
"keyPreview": "...a1b2"
}
}
],
"nextCursor": {}
}Authorizations
apiKeybearer
API Key for authentication (format: sk_...)
Headers
Required for Supabase session auth (owner or admin). Ignored with an API key.
Query Parameters
Inicio (ISO 8601). Default: to - 24 h
Fin (ISO 8601). Default: ahora
Lista separada por comas de clases (2xx, 4xx, 5xx) y códigos exactos. Hasta 20.
Example:
"4xx,500"
Lista separada por comas de GET, POST, PUT, PATCH, DELETE.
Example:
"GET,POST"
Busca en el path real (contiene, sin distinguir mayúsculas).
Example:
"/invoices"
Example:
"/invoices/:uuid"
Available options:
sandbox, production Available options:
web, api, sdk, cli, mcp Available options:
any, inactive, expired, ip_not_allowed, missing_scope Required range:
0 <= x <= 600000Required range:
0 <= x <= 600000nextCursor de la página anterior
Required range:
1 <= x <= 100